package b4a.HC05DataLogger;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class main_subs_0 {


public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,42);
if (RapidSub.canDelegate("activity_create")) { return b4a.HC05DataLogger.main.remoteMe.runUserSub(false, "main","activity_create", _firsttime);}
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 42;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(512);
 BA.debugLineNum = 43;BA.debugLine="Activity.LoadLayout(\"Main\")";
Debug.ShouldStop(1024);
main.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("Main")),main.mostCurrent.activityBA);
 BA.debugLineNum = 46;BA.debugLine="BTA.Initialize(Me, \"BTA\", lblStatus, ProgressBar1";
Debug.ShouldStop(8192);
main.mostCurrent._bta.runClassMethod (b4a.HC05DataLogger.bluetoothasynchstream.class, "_initialize" /*RemoteObject*/ ,main.mostCurrent.activityBA,(Object)(main.getObject()),(Object)(BA.ObjectToString("BTA")),(Object)(main.mostCurrent._lblstatus),(Object)(main.mostCurrent._progressbar1));
 BA.debugLineNum = 48;BA.debugLine="cvsDisplay.Initialize(pnlDisplay)";
Debug.ShouldStop(32768);
main.mostCurrent._cvsdisplay.runVoidMethod ("Initialize",(Object)((main.mostCurrent._pnldisplay.getObject())));
 BA.debugLineNum = 49;BA.debugLine="rectDisplay.Initialize(0, 0, pnlDisplay.Width, pn";
Debug.ShouldStop(65536);
main.mostCurrent._rectdisplay.runVoidMethod ("Initialize",(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0)),(Object)(main.mostCurrent._pnldisplay.runMethod(true,"getWidth")),(Object)(main.mostCurrent._pnldisplay.runMethod(true,"getHeight")));
 BA.debugLineNum = 50;BA.debugLine="DrawInit	'initializes the drawing";
Debug.ShouldStop(131072);
_drawinit();
 BA.debugLineNum = 51;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,57);
if (RapidSub.canDelegate("activity_pause")) { return b4a.HC05DataLogger.main.remoteMe.runUserSub(false, "main","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 57;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(16777216);
 BA.debugLineNum = 58;BA.debugLine="If UserClosed = True And Connected = True Then";
Debug.ShouldStop(33554432);
if (RemoteObject.solveBoolean("=",_userclosed,main.mostCurrent.__c.getField(true,"True")) && RemoteObject.solveBoolean("=",main._connected,main.mostCurrent.__c.getField(true,"True"))) { 
 BA.debugLineNum = 59;BA.debugLine="BTA.SendBytes(Array As Byte(0))";
Debug.ShouldStop(67108864);
main.mostCurrent._bta.runClassMethod (b4a.HC05DataLogger.bluetoothasynchstream.class, "_sendbytes" /*RemoteObject*/ ,(Object)(RemoteObject.createNewArray("byte",new int[] {1},new Object[] {BA.numberCast(byte.class, 0)})));
 BA.debugLineNum = 60;BA.debugLine="BTA.Disconnect";
Debug.ShouldStop(134217728);
main.mostCurrent._bta.runClassMethod (b4a.HC05DataLogger.bluetoothasynchstream.class, "_disconnect" /*RemoteObject*/ );
 };
 BA.debugLineNum = 62;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,53);
if (RapidSub.canDelegate("activity_resume")) { return b4a.HC05DataLogger.main.remoteMe.runUserSub(false, "main","activity_resume");}
 BA.debugLineNum = 53;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 55;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _bta_connected(RemoteObject _success) throws Exception{
try {
		Debug.PushSubsStack("BTA_Connected (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,97);
if (RapidSub.canDelegate("bta_connected")) { return b4a.HC05DataLogger.main.remoteMe.runUserSub(false, "main","bta_connected", _success);}
Debug.locals.put("Success", _success);
 BA.debugLineNum = 97;BA.debugLine="Private Sub BTA_Connected (Success As Boolean)";
Debug.ShouldStop(1);
 BA.debugLineNum = 98;BA.debugLine="If Success = True Then";
Debug.ShouldStop(2);
if (RemoteObject.solveBoolean("=",_success,main.mostCurrent.__c.getField(true,"True"))) { 
 BA.debugLineNum = 99;BA.debugLine="Connected = Success";
Debug.ShouldStop(4);
main._connected = _success;
 BA.debugLineNum = 100;BA.debugLine="btnConnect.Enabled = False";
Debug.ShouldStop(8);
main.mostCurrent._btnconnect.runMethod(true,"setEnabled",main.mostCurrent.__c.getField(true,"False"));
 BA.debugLineNum = 101;BA.debugLine="tbtLED.Enabled = True";
Debug.ShouldStop(16);
main.mostCurrent._tbtled.runMethod(true,"setEnabled",main.mostCurrent.__c.getField(true,"True"));
 };
 BA.debugLineNum = 103;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _bta_newtext(RemoteObject _msg) throws Exception{
try {
		Debug.PushSubsStack("BTA_NewText (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,64);
if (RapidSub.canDelegate("bta_newtext")) { return b4a.HC05DataLogger.main.remoteMe.runUserSub(false, "main","bta_newtext", _msg);}
RemoteObject _val = RemoteObject.createImmutable(0);
Debug.locals.put("msg", _msg);
 BA.debugLineNum = 64;BA.debugLine="Public Sub BTA_NewText(msg As String)";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 65;BA.debugLine="If lblMessage.Text <> \"No data\"	Then";
Debug.ShouldStop(1);
if (RemoteObject.solveBoolean("!",main.mostCurrent._lblmessage.runMethod(true,"getText"),BA.ObjectToString("No data"))) { 
 BA.debugLineNum = 66;BA.debugLine="Private Val As Double";
Debug.ShouldStop(2);
_val = RemoteObject.createImmutable(0);Debug.locals.put("Val", _val);
 BA.debugLineNum = 67;BA.debugLine="Val = msg";
Debug.ShouldStop(4);
_val = BA.numberCast(double.class, _msg);Debug.locals.put("Val", _val);
 BA.debugLineNum = 68;BA.debugLine="Value = 5 * Val / 1024";
Debug.ShouldStop(8);
main._value = RemoteObject.solve(new RemoteObject[] {RemoteObject.createImmutable(5),_val,RemoteObject.createImmutable(1024)}, "*/",0, 0);
 BA.debugLineNum = 69;BA.debugLine="lblMessage.Text = NumberFormat(Value, 0, 2)";
Debug.ShouldStop(16);
main.mostCurrent._lblmessage.runMethod(true,"setText",BA.ObjectToCharSequence(main.mostCurrent.__c.runMethod(true,"NumberFormat",(Object)(main._value),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 2)))));
 BA.debugLineNum = 71;BA.debugLine="DrawValue";
Debug.ShouldStop(64);
_drawvalue();
 };
 BA.debugLineNum = 73;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _btnconnect_click() throws Exception{
try {
		Debug.PushSubsStack("btnConnect_Click (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,87);
if (RapidSub.canDelegate("btnconnect_click")) { b4a.HC05DataLogger.main.remoteMe.runUserSub(false, "main","btnconnect_click"); return;}
ResumableSub_btnConnect_Click rsub = new ResumableSub_btnConnect_Click(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_btnConnect_Click extends BA.ResumableSub {
public ResumableSub_btnConnect_Click(b4a.HC05DataLogger.main parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
b4a.HC05DataLogger.main parent;
RemoteObject _permission = RemoteObject.createImmutable("");
RemoteObject _result = RemoteObject.createImmutable(false);

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("btnConnect_Click (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,87);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 88;BA.debugLine="rp.CheckAndRequest(rp.PERMISSION_ACCESS_FINE_LOCA";
Debug.ShouldStop(8388608);
parent._rp.runVoidMethod ("CheckAndRequest",main.processBA,(Object)(parent._rp.getField(true,"PERMISSION_ACCESS_FINE_LOCATION")));
 BA.debugLineNum = 89;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
Debug.ShouldStop(16777216);
parent.mostCurrent.__c.runVoidMethod ("WaitFor","activity_permissionresult", main.processBA, anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "main", "btnconnect_click"), null);
this.state = 7;
return;
case 7:
//C
this.state = 1;
_permission = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(0));Debug.locals.put("Permission", _permission);
_result = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(1));Debug.locals.put("Result", _result);
;
 BA.debugLineNum = 90;BA.debugLine="If Result = False Then";
Debug.ShouldStop(33554432);
if (true) break;

case 1:
//if
this.state = 6;
if (RemoteObject.solveBoolean("=",_result,parent.mostCurrent.__c.getField(true,"False"))) { 
this.state = 3;
}else {
this.state = 5;
}if (true) break;

case 3:
//C
this.state = 6;
 BA.debugLineNum = 91;BA.debugLine="lblStatus.Text = \"No permission...\"";
Debug.ShouldStop(67108864);
parent.mostCurrent._lblstatus.runMethod(true,"setText",BA.ObjectToCharSequence("No permission..."));
 if (true) break;

case 5:
//C
this.state = 6;
 BA.debugLineNum = 93;BA.debugLine="BTA.Connect(DeviceName)";
Debug.ShouldStop(268435456);
parent.mostCurrent._bta.runClassMethod (b4a.HC05DataLogger.bluetoothasynchstream.class, "_connect" /*RemoteObject*/ ,(Object)(parent.mostCurrent._devicename));
 if (true) break;

case 6:
//C
this.state = -1;
;
 BA.debugLineNum = 95;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _activity_permissionresult(RemoteObject _permission,RemoteObject _result) throws Exception{
}
public static RemoteObject  _drawinit() throws Exception{
try {
		Debug.PushSubsStack("DrawInit (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,105);
if (RapidSub.canDelegate("drawinit")) { return b4a.HC05DataLogger.main.remoteMe.runUserSub(false, "main","drawinit");}
 BA.debugLineNum = 105;BA.debugLine="Private Sub DrawInit";
Debug.ShouldStop(256);
 BA.debugLineNum = 106;BA.debugLine="Scale = pnlDisplay.Height / 5";
Debug.ShouldStop(512);
main._scale = RemoteObject.solve(new RemoteObject[] {main.mostCurrent._pnldisplay.runMethod(true,"getHeight"),RemoteObject.createImmutable(5)}, "/",0, 0);
 BA.debugLineNum = 107;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _drawvalue() throws Exception{
try {
		Debug.PushSubsStack("DrawValue (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,109);
if (RapidSub.canDelegate("drawvalue")) { return b4a.HC05DataLogger.main.remoteMe.runUserSub(false, "main","drawvalue");}
 BA.debugLineNum = 109;BA.debugLine="Private Sub DrawValue";
Debug.ShouldStop(4096);
 BA.debugLineNum = 110;BA.debugLine="Counter = Counter + XStep";
Debug.ShouldStop(8192);
main._counter = RemoteObject.solve(new RemoteObject[] {main._counter,main._xstep}, "+",1, 1);
 BA.debugLineNum = 111;BA.debugLine="x1 = Counter";
Debug.ShouldStop(16384);
main._x1 = main._counter;
 BA.debugLineNum = 112;BA.debugLine="y1 = pnlDisplay.Height - Value * Scale";
Debug.ShouldStop(32768);
main._y1 = BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {main.mostCurrent._pnldisplay.runMethod(true,"getHeight"),main._value,main._scale}, "-*",1, 0));
 BA.debugLineNum = 113;BA.debugLine="rectVal.Initialize(x0, 0, x1, pnlDisplay.Height)";
Debug.ShouldStop(65536);
main.mostCurrent._rectval.runVoidMethod ("Initialize",(Object)(main._x0),(Object)(BA.numberCast(int.class, 0)),(Object)(main._x1),(Object)(main.mostCurrent._pnldisplay.runMethod(true,"getHeight")));
 BA.debugLineNum = 114;BA.debugLine="cvsDisplay.DrawLine(x0, y0, x1, y1, Colors.Red, 1";
Debug.ShouldStop(131072);
main.mostCurrent._cvsdisplay.runVoidMethod ("DrawLine",(Object)(BA.numberCast(float.class, main._x0)),(Object)(BA.numberCast(float.class, main._y0)),(Object)(BA.numberCast(float.class, main._x1)),(Object)(BA.numberCast(float.class, main._y1)),(Object)(main.mostCurrent.__c.getField(false,"Colors").getField(true,"Red")),(Object)(BA.numberCast(float.class, main.mostCurrent.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 1))))));
 BA.debugLineNum = 115;BA.debugLine="pnlDisplay.Invalidate2(rectVal)";
Debug.ShouldStop(262144);
main.mostCurrent._pnldisplay.runVoidMethod ("Invalidate2",(Object)((main.mostCurrent._rectval.getObject())));
 BA.debugLineNum = 116;BA.debugLine="x0 =x1";
Debug.ShouldStop(524288);
main._x0 = main._x1;
 BA.debugLineNum = 117;BA.debugLine="y0 = y1";
Debug.ShouldStop(1048576);
main._y0 = main._y1;
 BA.debugLineNum = 119;BA.debugLine="If Counter >= pnlDisplay.Width Then";
Debug.ShouldStop(4194304);
if (RemoteObject.solveBoolean("g",main._counter,BA.numberCast(double.class, main.mostCurrent._pnldisplay.runMethod(true,"getWidth")))) { 
 BA.debugLineNum = 120;BA.debugLine="x0 = 0";
Debug.ShouldStop(8388608);
main._x0 = BA.numberCast(int.class, 0);
 BA.debugLineNum = 121;BA.debugLine="Counter = 0";
Debug.ShouldStop(16777216);
main._counter = BA.numberCast(int.class, 0);
 BA.debugLineNum = 122;BA.debugLine="cvsDisplay.DrawRect(rectDisplay, Colors.White, T";
Debug.ShouldStop(33554432);
main.mostCurrent._cvsdisplay.runVoidMethod ("DrawRect",(Object)((main.mostCurrent._rectdisplay.getObject())),(Object)(main.mostCurrent.__c.getField(false,"Colors").getField(true,"White")),(Object)(main.mostCurrent.__c.getField(true,"True")),(Object)(BA.numberCast(float.class, 1)));
 BA.debugLineNum = 123;BA.debugLine="pnlDisplay.Invalidate";
Debug.ShouldStop(67108864);
main.mostCurrent._pnldisplay.runVoidMethod ("Invalidate");
 };
 BA.debugLineNum = 125;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 19;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 21;BA.debugLine="Private BTA As BluetoothAsynchStream";
main.mostCurrent._bta = RemoteObject.createNew ("b4a.HC05DataLogger.bluetoothasynchstream");
 //BA.debugLineNum = 23;BA.debugLine="Private tbtLED As ToggleButton";
main.mostCurrent._tbtled = RemoteObject.createNew ("anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper");
 //BA.debugLineNum = 24;BA.debugLine="Private lblStatus As Label";
main.mostCurrent._lblstatus = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");
 //BA.debugLineNum = 25;BA.debugLine="Private ProgressBar1 As ProgressBar";
main.mostCurrent._progressbar1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ProgressBarWrapper");
 //BA.debugLineNum = 26;BA.debugLine="Private btnConnect As Button";
main.mostCurrent._btnconnect = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 27;BA.debugLine="Private lblMessage As Label";
main.mostCurrent._lblmessage = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");
 //BA.debugLineNum = 28;BA.debugLine="Private pnlDisplay As Panel";
main.mostCurrent._pnldisplay = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");
 //BA.debugLineNum = 29;BA.debugLine="Private cvsDisplay As Canvas";
main.mostCurrent._cvsdisplay = RemoteObject.createNew ("anywheresoftware.b4a.objects.drawable.CanvasWrapper");
 //BA.debugLineNum = 31;BA.debugLine="Private Value As Double";
main._value = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 32;BA.debugLine="Private Counter = 0 As Int";
main._counter = BA.numberCast(int.class, 0);
 //BA.debugLineNum = 33;BA.debugLine="Private XStep = 2dip As Int";
main._xstep = main.mostCurrent.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 2)));
 //BA.debugLineNum = 34;BA.debugLine="Private Scale As Double";
main._scale = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 35;BA.debugLine="Private x0, y0, x1, y1 As Int";
main._x0 = RemoteObject.createImmutable(0);
main._y0 = RemoteObject.createImmutable(0);
main._x1 = RemoteObject.createImmutable(0);
main._y1 = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 36;BA.debugLine="Private rectDisplay, rectVal As Rect";
main.mostCurrent._rectdisplay = RemoteObject.createNew ("anywheresoftware.b4a.objects.drawable.CanvasWrapper.RectWrapper");
main.mostCurrent._rectval = RemoteObject.createNew ("anywheresoftware.b4a.objects.drawable.CanvasWrapper.RectWrapper");
 //BA.debugLineNum = 38;BA.debugLine="Private DeviceName = \"HC-05\" As String";
main.mostCurrent._devicename = BA.ObjectToString("HC-05");
 //BA.debugLineNum = 39;BA.debugLine="Private Connected As Boolean";
main._connected = RemoteObject.createImmutable(false);
 //BA.debugLineNum = 40;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main_subs_0._process_globals();
starter_subs_0._process_globals();
main.myClass = BA.getDeviceClass ("b4a.HC05DataLogger.main");
starter.myClass = BA.getDeviceClass ("b4a.HC05DataLogger.starter");
bluetoothasynchstream.myClass = BA.getDeviceClass ("b4a.HC05DataLogger.bluetoothasynchstream");
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 16;BA.debugLine="Private rp As RuntimePermissions";
main._rp = RemoteObject.createNew ("anywheresoftware.b4a.objects.RuntimePermissions");
 //BA.debugLineNum = 17;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _tbtled_checkedchange(RemoteObject _checked) throws Exception{
try {
		Debug.PushSubsStack("tbtLED_CheckedChange (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,75);
if (RapidSub.canDelegate("tbtled_checkedchange")) { return b4a.HC05DataLogger.main.remoteMe.runUserSub(false, "main","tbtled_checkedchange", _checked);}
RemoteObject _b = RemoteObject.createImmutable((byte)0);
Debug.locals.put("Checked", _checked);
 BA.debugLineNum = 75;BA.debugLine="Sub tbtLED_CheckedChange(Checked As Boolean)";
Debug.ShouldStop(1024);
 BA.debugLineNum = 76;BA.debugLine="Dim b As Byte";
Debug.ShouldStop(2048);
_b = RemoteObject.createImmutable((byte)0);Debug.locals.put("b", _b);
 BA.debugLineNum = 77;BA.debugLine="If Checked = True Then";
Debug.ShouldStop(4096);
if (RemoteObject.solveBoolean("=",_checked,main.mostCurrent.__c.getField(true,"True"))) { 
 BA.debugLineNum = 78;BA.debugLine="b = 1";
Debug.ShouldStop(8192);
_b = BA.numberCast(byte.class, 1);Debug.locals.put("b", _b);
 BA.debugLineNum = 79;BA.debugLine="lblMessage.Text = \"\"";
Debug.ShouldStop(16384);
main.mostCurrent._lblmessage.runMethod(true,"setText",BA.ObjectToCharSequence(""));
 }else {
 BA.debugLineNum = 81;BA.debugLine="b = 0";
Debug.ShouldStop(65536);
_b = BA.numberCast(byte.class, 0);Debug.locals.put("b", _b);
 BA.debugLineNum = 82;BA.debugLine="lblMessage.Text = \"No data\"";
Debug.ShouldStop(131072);
main.mostCurrent._lblmessage.runMethod(true,"setText",BA.ObjectToCharSequence("No data"));
 };
 BA.debugLineNum = 84;BA.debugLine="BTA.SendBytes(Array As Byte(b))";
Debug.ShouldStop(524288);
main.mostCurrent._bta.runClassMethod (b4a.HC05DataLogger.bluetoothasynchstream.class, "_sendbytes" /*RemoteObject*/ ,(Object)(RemoteObject.createNewArray("byte",new int[] {1},new Object[] {_b})));
 BA.debugLineNum = 85;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}